# clearobjects

Removes all the user class definitions

Syntax

    clearobjects [-i]

Description
Removes the definition of all the user classes and kill all the object instances (also instances of the builtin classes). If the -i switch is used, only the object instances are cleared but the class definitions are left unchanged. This command should be used only for debugging & testing purposes and in particular should be NEVER used from inside an object function handler (leads to SIGSEGV :).
See also
class, killclass, Objects documentation

Main index, Command index

KVirc 3.0.0 documentation
Generated by root at Thu Apr 29 12:41:05 2004